Bug 462563 - Publican fop error
Publican fop error
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 00:16 EDT by Christopher Curran
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 18:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Curran 2008-09-17 00:16:19 EDT
Description of problem:
Publican does not build pdfs of the Para-virtualized Windows Drivers Guide on Red Hat Enterprise Linux

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 5.2 server (AMD64)

How reproducible:
I've reproduced this on 3 machines

Steps to Reproduce:
1.  svn co https://svn.devel.redhat.com/repos/ecs/Red_Hat_Enterprise_Linux/5.2/Para-Virtualized_Windows_Drivers

2. make pdf-en-US
  
Actual results:
 make pdf-en-US
Processing, Product: Red_Hat_Enterprise_Linux, Version: 5.2, Edition: 1.0, Release: 1
START: xml-en-US Wed Sep 17 14:12:00 EST 2008
        copying RedHat/en-US  Common_Content
cleaning files
        Administration.xml
        Alternate_Mount.xml
        Appendix.xml

*WARNING: Removing empty para tag from build environment, this may break your build*

        Author_Group.xml
        Book_Info.xml
        Guest_Install.xml
        Introduction.xml
        Para-virtualized_Windows_Drivers_Guide.xml
        Para-Virtualized_Windows_Drivers_Guide.xml
        Para-Virtualized_Windows_Drivers.xml
        Requirements.xml
        Revision_History.xml
        Uninstall.xml
        Upgrading.xml
Excluding unused image: ./images/another_warning.png
Excluding unused image: ./images/device_manager.png
Excluding unused image: ./images/filetype.png
Excluding unused image: ./images/found_new.png
Excluding unused image: ./images/fullvirt.png
Excluding unused image: ./images/license.png
Excluding unused image: ./images/memory.png
Excluding unused image: ./images/naming.png
Excluding unused image: ./images/network.png
Excluding unused image: ./images/network_warning.png
Excluding unused image: ./images/reboot.png
Excluding unused image: ./images/selectmedia.png
END: xml-en-US Wed Sep 17 14:12:03 EST 2008
START: test-en-US Wed Sep 17 14:12:03 EST 2008

*Start: Words Of Interest*
AMD
Autorun
cdrom
guestname
hdb
hdc
hdd
iso
README
Realtek
rhelnet
uninstall
uninstalled
uninstalling
Uninstalling
WHQL
windowsguest
wxp
xml
XP
*End: Words Of Interest*

END: test-en-US Wed Sep 17 14:12:04 EST 2008
START: pdf-en-US Wed Sep 17 14:12:04 EST 2008
Running Saxon:
Making portrait pages on A4 paper (210mmx297mm)
Running FOP:
Sep 17, 2008 2:12:22 PM org.apache.fop.apps.FopFactoryConfigurator configure
INFO: Default page-height set to: 240mm
Sep 17, 2008 2:12:22 PM org.apache.fop.apps.FopFactoryConfigurator configure
INFO: Default page-width set to: 120mm
Sep 17, 2008 2:12:24 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'Symbol,normal,700' not found. Substituting with 'Symbol,normal,400'.
Sep 17, 2008 2:12:24 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,normal,700' not found. Substituting with 'ZapfDingbats,normal,400'.
Sep 17, 2008 2:12:24 PM org.apache.fop.hyphenation.Hyphenator getHyphenationTree
SEVERE: Couldn't find hyphenation pattern en
Sep 17, 2008 2:12:25 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,italic,400' not found. Substituting with 'ZapfDingbats,normal,400'.
Sep 17, 2008 2:12:28 PM org.apache.fop.fo.FONode attributeWarning
WARNING: Warning(210/720): fo:table, table-layout="auto" is currently not supported by FOP
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 177/209)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 185/260)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 189/202)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 219/269)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 223/220)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 231/257)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 235/210)
Sep 17, 2008 2:12:28 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 240/218)
Sep 17, 2008 2:12:29 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 247/211)
Sep 17, 2008 2:12:29 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:30 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:32 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:32 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:32 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:32 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:32 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by more than 50 points. (fo:block, location: 114/3581)
Sep 17, 2008 2:12:34 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 361/220)
Sep 17, 2008 2:12:34 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 367/210)
Sep 17, 2008 2:12:34 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 371/208)
Sep 17, 2008 2:12:34 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 6457mpt. (fo:block, location: 375/192)
Sep 17, 2008 2:12:34 PM org.apache.fop.layoutmgr.inline.LineLayoutManager$LineBreakingAlgorithm updateData2
WARNING: Line 1 of a paragraph overflows the available area by 5279mpt. (fo:block, location: 335/3593)
Sep 17, 2008 2:12:34 PM org.apache.fop.area.RenderPagesModel addPage
SEVERE: Error while rendering page 23
java.lang.UnsupportedOperationException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
        at org.apache.fop.pdf.AlphaRasterImage.outputContents(AlphaRasterImage.java:169)
        at org.apache.fop.pdf.PDFImageXObject.outputRawStreamData(PDFImageXObject.java:145)
        at org.apache.fop.pdf.AbstractPDFStream.encodeAndWriteStream(AbstractPDFStream.java:155)
        at org.apache.fop.pdf.AbstractPDFStream.output(AbstractPDFStream.java:199)
        at org.apache.fop.pdf.PDFImageXObject.output(PDFImageXObject.java:65)
        at org.apache.fop.pdf.PDFDocument.output(PDFDocument.java:937)
        at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1767)
        at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1679)
        at org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:734)
        at org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:557)
        at org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:617)
        at org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1345)
        at org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:592)
        at org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1336)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:529)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:424)
        at org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:403)
        at org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:337)
        at org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:282)
        at org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:255)
        at org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:229)
        at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:801)
        at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:113)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.finishPage(AbstractPageSequenceLayoutManager.java:312)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:167)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.makeNewPage(AbstractPageSequenceLayoutManager.java:284)
        at org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:494)
        at org.apache.fop.layoutmgr.PageBreaker.startPart(PageBreaker.java:398)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:421)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:371)
        at org.apache.fop.layoutmgr.PageBreaker.doPhase3(PageBreaker.java:262)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:346)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:264)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:106)
        at org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:234)
        at org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:123)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:340)
        at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:169)
        at com.sun.org.apache.xml.internal.serializer.ToXMLSAXHandler.endElement(ToXMLSAXHandler.java:262)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(AbstractSAXParser.java:633)
        at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.scanEndElement(XMLNSDocumentScannerImpl.java:719)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(XMLDocumentFragmentScannerImpl.java:1685)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:368)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:834)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:764)
        at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:148)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1242)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transformIdentity(TransformerImpl.java:579)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:661)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:300)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)
Sep 17, 2008 2:12:34 PM org.apache.fop.cli.InputHandler error
SEVERE: javax.xml.transform.TransformerException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
Sep 17, 2008 2:12:34 PM org.apache.fop.cli.Main startFOP
SEVERE: Exception
javax.xml.transform.TransformerException: java.lang.UnsupportedOperationException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:217)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)

---------

javax.xml.transform.TransformerException: java.lang.UnsupportedOperationException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:670)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:300)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)
Caused by: java.lang.UnsupportedOperationException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
        at org.apache.fop.pdf.AlphaRasterImage.outputContents(AlphaRasterImage.java:169)
        at org.apache.fop.pdf.PDFImageXObject.outputRawStreamData(PDFImageXObject.java:145)
        at org.apache.fop.pdf.AbstractPDFStream.encodeAndWriteStream(AbstractPDFStream.java:155)
        at org.apache.fop.pdf.AbstractPDFStream.output(AbstractPDFStream.java:199)
        at org.apache.fop.pdf.PDFImageXObject.output(PDFImageXObject.java:65)
        at org.apache.fop.pdf.PDFDocument.output(PDFDocument.java:937)
        at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1767)
        at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1679)
        at org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:734)
        at org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:557)
        at org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:617)
        at org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1345)
        at org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:592)
        at org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1336)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:529)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:424)
        at org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:403)
        at org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:337)
        at org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:282)
        at org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:255)
        at org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:229)
        at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:801)
        at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:113)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.finishPage(AbstractPageSequenceLayoutManager.java:312)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:167)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.makeNewPage(AbstractPageSequenceLayoutManager.java:284)
        at org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:494)
        at org.apache.fop.layoutmgr.PageBreaker.startPart(PageBreaker.java:398)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:421)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:371)
        at org.apache.fop.layoutmgr.PageBreaker.doPhase3(PageBreaker.java:262)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:346)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:264)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:106)
        at org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:234)
        at org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:123)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:340)
        at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:169)
        at com.sun.org.apache.xml.internal.serializer.ToXMLSAXHandler.endElement(ToXMLSAXHandler.java:262)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(AbstractSAXParser.java:633)
        at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.scanEndElement(XMLNSDocumentScannerImpl.java:719)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(XMLDocumentFragmentScannerImpl.java:1685)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:368)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:834)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:764)
        at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:148)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1242)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transformIdentity(TransformerImpl.java:579)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:661)
        ... 5 more
---------
java.lang.UnsupportedOperationException: Unsupported DataBuffer type: java.awt.image.DataBufferUShort
        at org.apache.fop.pdf.AlphaRasterImage.outputContents(AlphaRasterImage.java:169)
        at org.apache.fop.pdf.PDFImageXObject.outputRawStreamData(PDFImageXObject.java:145)
        at org.apache.fop.pdf.AbstractPDFStream.encodeAndWriteStream(AbstractPDFStream.java:155)
        at org.apache.fop.pdf.AbstractPDFStream.output(AbstractPDFStream.java:199)
        at org.apache.fop.pdf.PDFImageXObject.output(PDFImageXObject.java:65)
        at org.apache.fop.pdf.PDFDocument.output(PDFDocument.java:937)
        at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1767)
        at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1679)
        at org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:734)
        at org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:557)
        at org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:617)
        at org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1345)
        at org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:592)
        at org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1336)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:529)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:424)
        at org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:403)
        at org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:337)
        at org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:282)
        at org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:255)
        at org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:229)
        at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:801)
        at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:113)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.finishPage(AbstractPageSequenceLayoutManager.java:312)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:167)
        at org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.makeNewPage(AbstractPageSequenceLayoutManager.java:284)
        at org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:494)
        at org.apache.fop.layoutmgr.PageBreaker.startPart(PageBreaker.java:398)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:421)
        at org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:371)
        at org.apache.fop.layoutmgr.PageBreaker.doPhase3(PageBreaker.java:262)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:346)
        at org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:264)
        at org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:106)
        at org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:234)
        at org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:123)
        at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:340)
        at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:169)
        at com.sun.org.apache.xml.internal.serializer.ToXMLSAXHandler.endElement(ToXMLSAXHandler.java:262)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(AbstractSAXParser.java:633)
        at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.scanEndElement(XMLNSDocumentScannerImpl.java:719)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(XMLDocumentFragmentScannerImpl.java:1685)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:368)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:834)
        at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:764)
        at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:148)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1242)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transformIdentity(TransformerImpl.java:579)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:661)
        at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(TransformerImpl.java:300)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)
make: *** [pdf-en-US] Error 1


Expected results:
a new pdf

Additional info:
Comment 1 Jeff Fearn 2008-09-17 18:00:15 EDT
Bugzilla is not a help desk service; if you can't build books and you can't workout why, you should use the bloody mailing list to ask for help.

java.lang.UnsupportedOperationException: Unsupported DataBuffer type:
java.awt.image.DataBufferUShort
       at
org.apache.fop.pdf.AlphaRasterImage.outputContents(AlphaRasterImage.java:169)

One or more of your images is in a format that FOP can't handle, if you work out which one you can open a bug upstream.
Comment 2 Christopher Curran 2008-09-18 21:27:33 EDT
the bug was caused by images which are too big for PDFs. If this is not a bug but a  known issue it should be documented, in bold, so that it doesn't waste more of our time.

Note You need to log in before you can comment on or make changes to this bug.